# Class Keys

java.lang.Object
com.io7m.laurel.filemodel.internal.Keys

public class Keys extends Object
A class modelling foreign key relationships and constraints of tables in the default schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `CAPTION_CATEGORIES_CAPTION_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `CAPTION_CATEGORIES_CATEGORY_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CAPTION_CATEGORIES_PRIMARY_KEY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CHECK_LOCK_PRIMARY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_1`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_2`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_26`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_27`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_4`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_6`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_8`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `IMAGE_CAPTIONS_CAPTION_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `IMAGE_CAPTIONS_IMAGE_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `IMAGE_CAPTIONS_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `IMAGES_BLOB_EXISTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Keys()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CAPTION_CATEGORIES_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> CAPTION_CATEGORIES_PRIMARY_KEY

  - ### CONSTRAINT_2

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_2

  - ### CONSTRAINT_6

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_6

  - ### CONSTRAINT_1

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_1

  - ### CONSTRAINT_4

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_4

  - ### IMAGE_CAPTIONS_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> IMAGE_CAPTIONS_PRIMARY_KEY

  - ### CONSTRAINT_8

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_8

  - ### CONSTRAINT_26

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_26

  - ### CHECK_LOCK_PRIMARY

    public static final org.jooq.UniqueKey<org.jooq.Record> CHECK_LOCK_PRIMARY

  - ### CONSTRAINT_27

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_27

  - ### CAPTION_CATEGORIES_CAPTION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> CAPTION_CATEGORIES_CAPTION_EXISTS

  - ### CAPTION_CATEGORIES_CATEGORY_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> CAPTION_CATEGORIES_CATEGORY_EXISTS

  - ### IMAGE_CAPTIONS_CAPTION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> IMAGE_CAPTIONS_CAPTION_EXISTS

  - ### IMAGE_CAPTIONS_IMAGE_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> IMAGE_CAPTIONS_IMAGE_EXISTS

  - ### IMAGES_BLOB_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> IMAGES_BLOB_EXISTS

- ## Constructor Details

  - ### Keys

    public Keys()